{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'User list' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}
	{% include 'user/user_handle.html' %}

	<table id="dg" class="easyui-datagrid" title="" style="width:100%;height:400px;" rownumbers='false' singleSelect='false' pagination='false' fitColumns='true' nowrap='true'>
	<thead>
	  <tr>
	    <th data-options="field:'ck',checkbox:true"></th>
	    <th data-options="field:'username',align:'center',width:80">User Name</th>
	    <th data-options="field:'email',align:'center',width:80">Email</th>
	    <th data-options="field:'last_name',align:'center',width:80">First Name</th>
	    <th data-options="field:'first_name',align:'center',width:130">Last Name</th>
	    <th data-options="field:'is_active',align:'center',width:80">Activate</th>
	    <th data-options="field:'is_superuser',align:'center',width:80">Superuser</th>
	    <th data-options="field:'groups',align:'center',width:80">Role</th>
	    <th data-options="field:'company',align:'center',width:80">Company</th>
	    <th data-options="field:'areas',align:'center',width:80">Area</th>
	    <th data-options="field:'department',align:'center',width:80">Department</th>
	 </tr>
	</thead>
	<tbody>
	  {% for user in users %}
	    <tr>
	      <td><input type="checkbox" class=""></td>
	      <td><a href="{% url 'user_edit' user.id %}">{{ user.username }}</a></td>
	      <td>{{ user.email }}</td>
	      <td>{{ user.first_name }}</td>
	      <td>{{ user.last_name }}</td>
	      <td>
	      	{% if user.is_active %}
	      	<a><img src="{% static 'img/icon-yes.gif' %}"></a>
	      	{% else %}
	      	<a><img src="{% static 'img/icon-no.gif' %}"></a>
	      	{% endif %}
	      </td>
	      <td>
	      	{% if user.is_superuser %}
	      	<a><img src="{% static 'img/icon-yes.gif' %}"></a>
	      	{% else %}
	      	<a><img src="{% static 'img/icon-no.gif' %}"></a>
	      	{% endif %}
	      </td>
	      <!-- <td>{{ user.groups.name }}</td> -->
	      <td>
	      	{% for group in user.Groups %}
	      	{{ group.name }}
	      	{% if not forloop.last %}, {% endif %}
	      	{% endfor %}
	      </td>
	      <td>{{ user.profile.company }}</td>
	      <td>
	      	{% for area in user.profile.areas %}
	      	{{ area.area_name }}
	      	{% if not forloop.last %}, {% endif %}
	      	{% endfor %}
	      </td>
	      <td>
	      	{% for department in user.profile.departments %}
	      	{{ department.depart_name }}
	      	{% if not forloop.last %}, {% endif %}
	      	{% endfor %}
	      </td>
	    </tr>
	  {% endfor %}
	</tbody>
	</table>

   {% include 'paginator.html' with paginator=users %}

{% endblock content %}
